EDIT - bug #8881

Use pure last names (without initials) for in-references of taxon names
03/06/2020 04:38 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.13

Severity: critical Found in Version:

Description

Related issues:
Related to EDIT - bug #8911: LazylnitializationException (LIE) in portal/desc... Closed

Associated revisions

Revision 6701ae84 - 03/10/2020 02:16 PM - Andreas Miiller

fix #8881 Use pure last names (without initials) for in-references of taxon names

History

#1 - 03/06/2020 04:38 PM - Andreas Miuller

- Tags changed from euro+med to euro+med, formatting

#2 - 03/09/2020 03:14 PM - Andreas Miuller

- Status changed from New to In Progress

#3 - 03/10/2020 02:11 PM - Andreas Miuller

- Status changed from In Progress to Resolved

This is implemented now.

Only for exceptional states like protectedTitleCache, protectedNomenclaturalTitel or empty teams or persons the desired behavior is not finally
discussed. But this can be done whenever we realize that the current behavior is unepected.

#4 - 03/10/2020 02:16 PM - Andreas Miiller
- % Done changed from 0 to 50

Applied in changeset cdmlib|6701ae84b1f1a9266fb45fd795a5a56ba8e8ae26.

#5 - 03/10/2020 03:40 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther

Can you please review?

#6 - 03/11/2020 12:54 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

this seems to work. Tested in nightly.

#7 - 03/11/2020 12:54 PM - Katja Luther
- % Done changed from 50 to 100

#8 - 04/07/2020 06:45 PM - Andreas Miuller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/6701ae84b1f1a9266fb45fd795a5a56ba8e8ae26

- Related to bug #8911: LazylnitializationException (LIE) in portal/description/{uuid} added
